Support Articles

“Specified Cast Not Valid” Error in MadgeTech 4

Posted on

A recent Windows 10 update triggered a bug in the MadgeTech 4 software that may cause the program to crash when starting loggers.

This issue has been fixed in recent software versions. For users of the free version of MadgeTech 4, updating to the latest version will resolve this issue. The most recent version of MadgeTech 4 can be downloaded here: https://www.madgetech.com/software/madgetech-4-software/

There is an alternative fix that will allow MadgeTech 4 Secure users to continue using their existing software version without experiencing this crash. Follow these steps to prevent the crash:

  1. Right-Click directly on any column header in the “Connected Devices” panel (for example, right-click directly on the words “Start Time”).
  2. In the menu that appears, click to uncheck the “Start Time” option. The “Start Time” column will be removed from the connected devices panel.

Hiding the “Start Time” column will only remove the start time from the “Connected Devices” panel. The start time can still be seen the in the device properties menu, and in any saved datasets.

Recent versions of MadgeTech 4 Secure have also incorporated this fix. Secure users will need to purchase the Secure Software Upgrade package to update to the latest version of MadgeTech 4 Secure. For more information about purchasing the Secure Software Upgrade package, please contact [email protected].

About Chris Morse:

Sign up for the MadgeTech Blog
Subscribe to our blog